Subject: Re: natalk and Mac OS X

From: Peter Duchateau <[email-masked]>
Date: Fri, 29 Jun 2001 10:55:48 +0200

We found a solution for this problem on sourceforge.

Mac OS X clients require a loginmessage from the server.

> From: <[email-masked]>
> Date: Thu, 28 Jun 2001 14:03:41 -0400
> To: Stanton Schell <[email-masked]>, Vic Landi
> <[email-masked]>, Peter Duchateau <[email-masked]>
> Subject: Re: natalk and Mac OS X
> 
> 
> In case you didn't see it, here's my earlier message on getting OS X
> to work with netatalk.
> 
> Bng
> 
> Date: Fri, 1 Jun 2001 16:23:06 -0400
> To: Brian Hendrickson <[email-masked]>
> Cc: "Pedro Miguel F. Custodio" <[email-masked]>, [email-masked]
> Resent-From: [email-masked]
> From: <[email-masked]>
> Subject: Re: MacOS X vs Linux HELP.
> 
>>>>>> Brian Hendrickson writes:
> BH> I'm sure the developers are sorting all of this out right now for the
> BH> next release, but if anybody knows how to configure netatalk for Mac OS X,
> BH> please post to the list, thanks!
> 
> There are some useful discussions of this issue on the OS X discussion
> boards at apple.com.  For example, see this thread:
> http://discussions.info.apple.com/WebX?13@@.eedb03f/8
> (registration required).
> 
> The bottom line is that there is one, and apparently only one, version
> of netatalk that works with Mac OS X right now:
> ftp://ftp.cobaltnet.com/pub/users/asun/testing/pre-asun2.1.4-37b.tar.gz
> which is version netatalk-1.4b2+asun2.1.4-pre37b.
> 
> Some people additionally suggest adding -DUSE_FLOCK_LOCKS to the compile
> flags.
> 
> Thanks to Richard Eisenman for figuring this out!
> 
> No guarantees, but I'm using this combination and it is working pretty
> well.  I do hope someone can figure out what this version does
> differently, and patch the newer versions to work with OS X too.
> 
> Bng
> --
> Boris Goldowsky            Director of Engineering & Development
> Information Please         [email-masked]
> www.infoplease.com         617 542-6500 x 2324